<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1">
<title>Patient Management System</title>

<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">
	
</head>
<body>

	<div class="container my-2">
	<h1>Patients List</h1>
	
	<a th:href = "@{/addPatient}" class="btn btn-primary btn-sm mb-3"> Add patient </a>
	<a th:href = "@{searchpatient}" class="btn btn-primary btn-sm mb-3"> Search patient </a>
	
	
		<table border="1" class = "table table-striped table-responsive-md">
			<thead>
				<tr>
					<th>
						<a th:href="@{'/page/' + ${currentPage} + '?sortField=name&sortDir=' + ${reverseSortDir}}">
							Patient Name</a>
					</th>
					<th>
					<a th:href="@{'/page/' + ${currentPage} + '?sortField=gender&sortDir=' + ${reverseSortDir}}">
							Patient Gender</a>
					</th>
					<th>
					<a th:href="@{'/page/' + ${currentPage} + '?sortField=phone&sortDir=' + ${reverseSortDir}}">
							Patient Phone</a>
					</th>
					<th> Actions </th>
				</tr>
			</thead>
			<tbody>
				<tr th:each="patient : ${listPatients}">
					<td th:text="${patient.name}"> </td>
					<td th:text="${patient.gender}"></td>
					<td th:text="${patient.phone}"></td>
					<td> <a th:href="@{/v1/patient/{id}(id=${patient.id})}" class="btn btn-primary">Update</a>
					    <a th:href="@{v1/deletepatient/{id}(id=${patient.id})}" class="btn btn-danger">Delete</a>
					</td>
				</tr>
			</tbody>
		</table>
		
		<div th:if = "${totalPages > 1}">
			<div class = "row col-sm-10">
				<div class = "col-sm-2">
					Total Rows: [[${totalItems}]] 
				</div>
				<div class = "col-sm-1">
					<span th:each="i: ${#numbers.sequence(1, totalPages)}">
						<a th:if="${currentPage != i}" th:href="@{'/page/' + ${i}+ '?sortField=' + ${sortField} + '&sortDir=' + ${sortDir}}">[[${i}]]</a>
						<span th:unless="${currentPage != i}">[[${i}]]</span>  &nbsp; &nbsp;
					</span>
				</div>
				<div class = "col-sm-1">
					<a th:if="${currentPage < totalPages}" th:href="@{'/page/' + ${currentPage + 1}+ '?sortField=' + ${sortField} + '&sortDir=' + ${sortDir}}">Next</a>
					<span th:unless="${currentPage < totalPages}">Next</span>
				</div>
				
				 <div class="col-sm-1">
    				<a th:if="${currentPage < totalPages}" th:href="@{'/page/' + ${totalPages}+ '?sortField=' + ${sortField} + '&sortDir=' + ${sortDir}}">Last</a>
					<span th:unless="${currentPage < totalPages}">Last</span>
   				 </div>
			</div>
		</div>
	</div>
</body>
</html>